Subject: [apps-discuss] APPSDIR review of draft-ietf-httpbis-p4-conditional-24

From: S Moonesamy <[email-masked]>
Date: Mon, 28 Oct 2013 10:10:30 -0700

I have been selected as the Applications Area Directorate reviewer 
for this draft (for background on APPSDIR, please see 
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).

Please resolve these comments along with any other Last Call comments 
you may receive. Please wait for direction from your document 
shepherd or AD before posting a new version of the draft.

Document: draft-ietf-httpbis-p4-conditional-24
Title: Hypertext Transfer Protocol (HTTP/1.1): Conditional Requests
Reviewer: S. Moonesamy
Review Date: October 28, 2013
IETF Last Call Date: October 21, 2013

Summary: This draft is almost ready for publication as a Proposed Standard.

This document defines HTTP/1.1 conditional requests, including 
metadata header fields for indicating state changes, request header 
fields for making preconditions on such state, and rules for 
constructing the responses to a conditional request when one or more 
preconditions evaluate to false.

The document is well-written and clear.

Major Issues:

In Section 2.2:

   Last-Modified = HTTP-date

There is a note about the imported ABNF in Appendix B.  I suggest 
moving that text to Section 1.2 so that the text is part of the specification.

Minor Issues:

I will comment about the IANA Considerations section in a separate message.

Nits:

Editorial comments were not included in the review.

Regards,
S. Moonesamy